Zigbee Module Examples

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
moduleConfiguration Struct Reference

`#include <module_utilities.h>`

## Data Fields
uint8_t | deviceType
uint32_t | channelMask
uint16_t | panId
uint16_t | endDevicePollRate
uint8_t | startupOptions
uint8_t | securityMode
uint8_t * | securityKey

## Detailed Description

    This is a set of application configuration parameters. These parameters affect the way our

particular Zigbee Application will behave.

## Field Documentation

uint32_t channelMask

      the channelMask we'd like to use. Parameter must be one or more channels "OR"d together,

e.g. (CHANNEL_MASK_13 | CHANNEL_MASK_17 | CHANNEL_MASK_21) for channels 13,17,21. May also be set to ANY_CHANNEL_MASK which will use all channels.

uint8_t deviceType

the type of device we're starting, e.g. ROUTER.

uint16_t endDevicePollRate

Only used if this is an end device. How often the end device polls its associated router for data

uint16_t panId

if you want to use a specific PAN_ID. Otherwise set to ANY_PAN.

uint8_t* securityKey

        The security key to use if security is enabled. Only used if:

- when deviceType is COORDINATOR: SECURITY_MODE_PRECONFIGURED_KEYS or SECURITY_MODE_COORD_DIST_KEYS
- when deviceType is ROUTER: SECURITY_MODE_PRECONFIGURED_KEYS If key is not used then may be pointed to NULL.

uint8_t securityMode

        What type of security to use, if any. There are three options:

- SECURITY_MODE_PRECONFIGURED_KEYS - all devices must have the same 16B security key
- SECURITY_MODE_COORD_DIST_KEYS - the coordinator will give all devices the key on join
- SECURITY_MODE_OFF note: the module still uses encryption, just with its default key

uint8_t startupOptions

Whether to erase the previous module configuration on startup.

The documentation for this struct was generated from the following file:

- ZM/module_utilities.h